// Garden Gnome Software - Skin
// Pano2VR 5.0.1/15068
// Filename: skin.ggsk
// Generated Wed May 11 10:58:24 2016

function pano2vrSkin(player,base) {
	var ggSkinVars = [];
	ggSkinVars['hs_hide_show'] = true;
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=me.player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		this._hs_show=document.createElement('div');
		this._hs_show__img=document.createElement('img');
		this._hs_show__img.className='ggskin ggskin_svg';
		this._hs_show__img.setAttribute('src',basePath + 'images/hs_show.svg');
		this._hs_show__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._hs_show__img['ondragstart']=function() { return false; };
		this._hs_show.appendChild(this._hs_show__img);
		this._hs_show__imgo=document.createElement('img');
		this._hs_show__imgo.className='ggskin ggskin_svg';
		this._hs_show__imgo.setAttribute('src',basePath + 'images/hs_show__o.svg');
		this._hs_show__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._hs_show__imgo['ondragstart']=function() { return false; };
		this._hs_show.appendChild(this._hs_show__imgo);
		this._hs_show.ggId="hs_show";
		this._hs_show.ggLeft=-50;
		this._hs_show.ggTop=-45;
		this._hs_show.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hs_show.ggVisible=true;
		this._hs_show.className='ggskin ggskin_svg ';
		this._hs_show.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 40px;';
		hs+='left : -50px;';
		hs+='opacity : 0;';
		hs+='position : absolute;';
		hs+='top : -45px;';
		hs+='visibility : hidden;';
		hs+='width : 40px;';
		this._hs_show.setAttribute('style',hs);
		this._hs_show.style[domTransform + 'Origin']='50% 50%';
		me._hs_show.ggIsActive=function() {
			return false;
		}
		me._hs_show.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._hs_show.onclick=function () {
			ggSkinVars['hs_hide_show'] = true;
		}
		this._hs_show.onmouseover=function () {
			me._hs_show__img.style.visibility='hidden';
			me._hs_show__imgo.style.visibility='inherit';
		}
		this._hs_show.onmouseout=function () {
			me._hs_show__img.style.visibility='inherit';
			me._hs_show__imgo.style.visibility='hidden';
		}
		me._hs_show.ggCurrentLogicStateAlpha = -1;
		this._hs_show.ggUpdateConditionTimer=function () {
			var newLogicStateAlpha;
			if (
				(ggSkinVars['hs_hide_show'] == false)
			)
			{
				newLogicStateAlpha = 0;
			}
			else {
				newLogicStateAlpha = -1;
			}
			if (me._hs_show.ggCurrentLogicStateAlpha != newLogicStateAlpha) {
				me._hs_show.ggCurrentLogicStateAlpha = newLogicStateAlpha;
				me._hs_show.style[domTransition]='opacity 1000ms ease 0ms, visibility 1000ms ease 0ms';
				if (me._hs_show.ggCurrentLogicStateAlpha == 0) {
					me._hs_show.style.visibility=me._hs_show.ggVisible?'inherit':'hidden';
					me._hs_show.style.opacity=1;
				}
				else {
					me._hs_show.style.visibility="hidden";
					me._hs_show.style.opacity=0;
				}
			}
		}
		this._hs_show.ggUpdatePosition=function () {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this.divSkin.appendChild(this._hs_show);
		this._hs_hide=document.createElement('div');
		this._hs_hide__img=document.createElement('img');
		this._hs_hide__img.className='ggskin ggskin_svg';
		this._hs_hide__img.setAttribute('src',basePath + 'images/hs_hide.svg');
		this._hs_hide__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._hs_hide__img['ondragstart']=function() { return false; };
		this._hs_hide.appendChild(this._hs_hide__img);
		this._hs_hide__imgo=document.createElement('img');
		this._hs_hide__imgo.className='ggskin ggskin_svg';
		this._hs_hide__imgo.setAttribute('src',basePath + 'images/hs_hide__o.svg');
		this._hs_hide__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
		this._hs_hide__imgo['ondragstart']=function() { return false; };
		this._hs_hide.appendChild(this._hs_hide__imgo);
		this._hs_hide.ggId="hs_hide";
		this._hs_hide.ggLeft=-50;
		this._hs_hide.ggTop=-45;
		this._hs_hide.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hs_hide.ggVisible=true;
		this._hs_hide.className='ggskin ggskin_svg ';
		this._hs_hide.ggType='svg';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 40px;';
		hs+='left : -50px;';
		hs+='position : absolute;';
		hs+='top : -45px;';
		hs+='visibility : inherit;';
		hs+='width : 40px;';
		this._hs_hide.setAttribute('style',hs);
		this._hs_hide.style[domTransform + 'Origin']='50% 50%';
		me._hs_hide.ggIsActive=function() {
			return false;
		}
		me._hs_hide.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._hs_hide.onclick=function () {
			ggSkinVars['hs_hide_show'] = false;
		}
		this._hs_hide.onmouseover=function () {
			me._hs_hide__img.style.visibility='hidden';
			me._hs_hide__imgo.style.visibility='inherit';
		}
		this._hs_hide.onmouseout=function () {
			me._hs_hide__img.style.visibility='inherit';
			me._hs_hide__imgo.style.visibility='hidden';
		}
		me._hs_hide.ggCurrentLogicStateAlpha = -1;
		this._hs_hide.ggUpdateConditionTimer=function () {
			var newLogicStateAlpha;
			if (
				(ggSkinVars['hs_hide_show'] == false)
			)
			{
				newLogicStateAlpha = 0;
			}
			else {
				newLogicStateAlpha = -1;
			}
			if (me._hs_hide.ggCurrentLogicStateAlpha != newLogicStateAlpha) {
				me._hs_hide.ggCurrentLogicStateAlpha = newLogicStateAlpha;
				me._hs_hide.style[domTransition]='opacity 1000ms ease 0ms, visibility 1000ms ease 0ms';
				if (me._hs_hide.ggCurrentLogicStateAlpha == 0) {
					me._hs_hide.style.visibility="hidden";
					me._hs_hide.style.opacity=0;
				}
				else {
					me._hs_hide.style.visibility=me._hs_hide.ggVisible?'inherit':'hidden';
					me._hs_hide.style.opacity=1;
				}
			}
		}
		this._hs_hide.ggUpdatePosition=function () {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this.divSkin.appendChild(this._hs_hide);
		this._text_1=document.createElement('div');
		this._text_1__text=document.createElement('div');
		this._text_1.className='ggskin ggskin_textdiv';
		this._text_1.ggTextDiv=this._text_1__text;
		this._text_1.ggId="Text 1";
		this._text_1.ggLeft=-104;
		this._text_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_1.ggVisible=true;
		this._text_1.className='ggskin ggskin_text ';
		this._text_1.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 17px;';
		hs+='left : -104px;';
		hs+='position : absolute;';
		hs+='top : 11px;';
		hs+='visibility : inherit;';
		hs+='width : 88px;';
		this._text_1.setAttribute('style',hs);
		this._text_1.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 88px;';
		hs+='height: 17px;';
		hs+='background: #000000;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: rgba(255,255,255,1);';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._text_1__text.setAttribute('style',hs);
		this._text_1__text.innerHTML="Image One";
		this._text_1.appendChild(this._text_1__text);
		me._text_1.ggIsActive=function() {
			return false;
		}
		me._text_1.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._text_1.onclick=function () {
			me.player.openNext("pano_01.xml","");
		}
		this._text_1.ggUpdatePosition=function () {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
			}
		}
		this.divSkin.appendChild(this._text_1);
		this._text_2=document.createElement('div');
		this._text_2__text=document.createElement('div');
		this._text_2.className='ggskin ggskin_textdiv';
		this._text_2.ggTextDiv=this._text_2__text;
		this._text_2.ggId="Text 2";
		this._text_2.ggLeft=-104;
		this._text_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_2.ggVisible=true;
		this._text_2.className='ggskin ggskin_text ';
		this._text_2.ggType='text';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 17px;';
		hs+='left : -104px;';
		hs+='position : absolute;';
		hs+='top : 38px;';
		hs+='visibility : inherit;';
		hs+='width : 88px;';
		this._text_2.setAttribute('style',hs);
		this._text_2.style[domTransform + 'Origin']='50% 50%';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 88px;';
		hs+='height: 17px;';
		hs+='background: #000000;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: rgba(255,255,255,1);';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._text_2__text.setAttribute('style',hs);
		this._text_2__text.innerHTML="Image Two";
		this._text_2.appendChild(this._text_2__text);
		me._text_2.ggIsActive=function() {
			return false;
		}
		me._text_2.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		this._text_2.onclick=function () {
			me.player.openNext("pano_02.xml","");
		}
		this._text_2.ggUpdatePosition=function () {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w) + 'px';
			}
		}
		this.divSkin.appendChild(this._text_2);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.ggHotspotCallChildFunctions=function(functionname) {
		var stack = me.player.getCurrentPointHotspots();
		while (stack.length > 0) {
			var e = stack.pop();
			if (typeof e[functionname] == 'function') {
				e[functionname]();
			}
			if(e.hasChildNodes()) {
				for(var i=0; i<e.childNodes.length; i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	this.changeActiveNode=function(id) {
		me.ggUserdata=me.player.userdata;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		me.ggCurrentTime=new Date().getTime();
		me._hs_show.ggUpdateConditionTimer();
		me._hs_hide.ggUpdateConditionTimer();
		me.ggHotspotCallChildFunctions('ggUpdateConditionTimer');
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		var nodeId=String(hotspot.url);
		nodeId=(nodeId.charAt(0)=='{')?nodeId.substr(1, nodeId.length - 2):'';
		this.ggUserdata=this.skin.player.getNodeUserdata(nodeId);
		this.elementMouseDown=[];
		this.elementMouseOver=[];
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="ht_node";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot ';
			this.__div.ggType='hotspot';
			hs ='';
			hs+='height : 5px;';
			hs+='left : 157px;';
			hs+='position : absolute;';
			hs+='top : 131px;';
			hs+='visibility : inherit;';
			hs+='width : 5px;';
			this.__div.setAttribute('style',hs);
			this.__div.style[domTransform + 'Origin']='50% 50%';
			me.__div.ggIsActive=function() {
				return me.player.getCurrentNode()==this.ggElementNodeId();
			}
			me.__div.ggElementNodeId=function() {
				return me.hotspot.url.substr(1, me.hotspot.url.length - 2);
			}
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.setActiveHotspot(me.hotspot);
				me.elementMouseOver['_div']=true;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.setActiveHotspot(null);
				me.elementMouseOver['_div']=false;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this.__div.ontouchend=function () {
				me.elementMouseOver['_div']=false;
			}
			me.__div.ggCurrentLogicStateAlpha = -1;
			this.__div.ggUpdateConditionTimer=function () {
				var newLogicStateAlpha;
				if (
					(ggSkinVars['hs_hide_show'] == false)
				)
				{
					newLogicStateAlpha = 0;
				}
				else {
					newLogicStateAlpha = -1;
				}
				if (me.__div.ggCurrentLogicStateAlpha != newLogicStateAlpha) {
					me.__div.ggCurrentLogicStateAlpha = newLogicStateAlpha;
					me.__div.style[domTransition]='opacity 1000ms ease 0ms, visibility 1000ms ease 0ms';
					if (me.__div.ggCurrentLogicStateAlpha == 0) {
						me.__div.style.visibility="hidden";
						me.__div.style.opacity=0;
					}
					else {
						me.__div.style.visibility=me.__div.ggVisible?'inherit':'hidden';
						me.__div.style.opacity=1;
					}
				}
			}
			this.__div.ggUpdatePosition=function () {
			}
			this._ht_node_image=document.createElement('div');
			this._ht_node_image__img=document.createElement('img');
			this._ht_node_image__img.className='ggskin ggskin_svg';
			this._ht_node_image__img.setAttribute('src',basePath + 'images/ht_node_image.svg');
			this._ht_node_image__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
			this._ht_node_image__img['ondragstart']=function() { return false; };
			this._ht_node_image.appendChild(this._ht_node_image__img);
			this._ht_node_image__imgo=document.createElement('img');
			this._ht_node_image__imgo.className='ggskin ggskin_svg';
			this._ht_node_image__imgo.setAttribute('src',basePath + 'images/ht_node_image__o.svg');
			this._ht_node_image__imgo.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;visibility:hidden;pointer-events:none;');
			this._ht_node_image__imgo['ondragstart']=function() { return false; };
			this._ht_node_image.appendChild(this._ht_node_image__imgo);
			this._ht_node_image.ggId="ht_node_image";
			this._ht_node_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._ht_node_image.ggVisible=true;
			this._ht_node_image.className='ggskin ggskin_svg ';
			this._ht_node_image.ggType='svg';
			hs ='';
			hs+='cursor : pointer;';
			hs+='height : 32px;';
			hs+='left : -16px;';
			hs+='position : absolute;';
			hs+='top : -16px;';
			hs+='visibility : inherit;';
			hs+='width : 32px;';
			this._ht_node_image.setAttribute('style',hs);
			this._ht_node_image.style[domTransform + 'Origin']='50% 50%';
			me._ht_node_image.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._ht_node_image.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			this._ht_node_image.onmouseover=function () {
				me._ht_node_image__img.style.visibility='hidden';
				me._ht_node_image__imgo.style.visibility='inherit';
			}
			this._ht_node_image.onmouseout=function () {
				me._ht_node_image__img.style.visibility='inherit';
				me._ht_node_image__imgo.style.visibility='hidden';
			}
			this._ht_node_image.ggUpdatePosition=function () {
			}
			this.__div.appendChild(this._ht_node_image);
			this._tt_ht_node=document.createElement('div');
			this._tt_ht_node__text=document.createElement('div');
			this._tt_ht_node.className='ggskin ggskin_textdiv';
			this._tt_ht_node.ggTextDiv=this._tt_ht_node__text;
			this._tt_ht_node.ggId="tt_ht_node";
			this._tt_ht_node.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._tt_ht_node.ggVisible=false;
			this._tt_ht_node.className='ggskin ggskin_text ';
			this._tt_ht_node.ggType='text';
			hs ='';
			hs+='height : 20px;';
			hs+='left : -50px;';
			hs+='position : absolute;';
			hs+='top : 21px;';
			hs+='visibility : hidden;';
			hs+='width : 98px;';
			this._tt_ht_node.setAttribute('style',hs);
			this._tt_ht_node.style[domTransform + 'Origin']='50% 50%';
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='background: #000000;';
			hs+='background: rgba(0,0,0,0.666667);';
			hs+='border: 0px solid #000000;';
			hs+='color: rgba(255,255,255,1);';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._tt_ht_node__text.setAttribute('style',hs);
			this._tt_ht_node__text.innerHTML="&nbsp;"+me.hotspot.title+"&nbsp;";
			this._tt_ht_node.appendChild(this._tt_ht_node__text);
			me._tt_ht_node.ggIsActive=function() {
				if ((this.parentNode) && (this.parentNode.ggIsActive)) {
					return this.parentNode.ggIsActive();
				}
				return false;
			}
			me._tt_ht_node.ggElementNodeId=function() {
				if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
					return this.parentNode.ggElementNodeId();
				}
				return me.ggNodeId;
			}
			me._tt_ht_node.ggCurrentLogicStateVisible = -1;
			this._tt_ht_node.ggUpdateConditionTimer=function () {
				var newLogicStateVisible;
				if (
					(me.elementMouseOver['_div'] == true)
				)
				{
					newLogicStateVisible = 0;
				}
				else {
					newLogicStateVisible = -1;
				}
				if (me._tt_ht_node.ggCurrentLogicStateVisible != newLogicStateVisible) {
					me._tt_ht_node.ggCurrentLogicStateVisible = newLogicStateVisible;
					me._tt_ht_node.style[domTransition]='';
					if (me._tt_ht_node.ggCurrentLogicStateVisible == 0) {
						me._tt_ht_node.style.visibility=(Number(me._tt_ht_node.style.opacity)>0||!me._tt_ht_node.style.opacity)?'inherit':'hidden';
						me._tt_ht_node.ggVisible=true;
					}
					else {
						me._tt_ht_node.style.visibility="hidden";
						me._tt_ht_node.ggVisible=false;
					}
				}
			}
			this._tt_ht_node.ggUpdatePosition=function () {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=((98-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			this.__div.appendChild(this._tt_ht_node);
			this.hotspotTimerEvent=function() {
				setTimeout(function() { me.hotspotTimerEvent(); }, 10);
				if (me.elementMouseOver['_div']) {
				}
				me.__div.ggUpdateConditionTimer();
				me._tt_ht_node.ggUpdateConditionTimer();
			}
			this.hotspotTimerEvent();
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};